ApTest Manager has some basic environment requirements. This document describes those requirements and suggests ways to satisfy them.

Table of Contents

1 Server system

ApTest Manager must be installed on a system that can act as a server. You will need administrative access in a shell window to the system on which ApTest Manager is to be installed in order to perform this installation.

ApTest Manager can be installed on virtually any hardware platform, but for production use a comparatively modern server system is required. A recommended minimum configuration is a 2.4GHz Pentium 4 with 1GB of RAM and 20-40GB of free disk space (depending on the size of your test case collection, number of tests run, etc.). The server may be shared with other applications, and does not need to be dedicated to ApTest Manager.

The following facilities must be available on the server:

  • A web server
  • Perl
  • Access to the internet to retrieve any required Perl modules that are not already installed.

Note: Most ApTest Manager operations require sufficient free disk space to complete those operations. Should the partition on which you store your ApTest Manager data fill up, YOU WILL LOSE DATA! Therefore, you should always monitor your server to ensure that sufficient disk space is available. If you ever run out of disk space on the ApTest Manager partition, you will need to restore your data from a backup before ApTest Manager will become operational again.

1.1 Web server

The web server must support CGI or mod_perl.

The most commonly used servers are Apache 2.2 (which supports both CGI and mod_perl) or Microsoft IIS (which only supports CGI). See Installing Perl and Apache on Windows systems for detailed instructions.

Note: ApTest Manager runs much faster using mod_perl, and so Apache with mod_perl is the preferred web server configuration.

1.2 Perl

Strawberry Perl 5.12 32bit is required for all new installations (Version 5.8.8 or higher of the ActiveState ActivePerl distribution is supported for backward compatibility, but is no longer generally available from ActiveState).

If an appropriate version of Perl has not been installed, you will need to acquire it from the sources above and ensure it is installed and operational.

Do not attempt to proceed with the ApTest Manager installation without Perl installed and working on your system!

2 Client systems

To access ApTest Manager, you will need a web browser that supports Javascript 1.2 and frames. Modern versions of Google Chrome, Internet Explorer, and Firefox are known to work well with ApTest Manager; some parts of the product do not work correctly with Opera nor with Safari, but downgrade gracefully.

Copyright © 2000-2015 Applied Testing and Technology, Inc. All rights reserved.